Delete an employee's I-9 verification documentCopy Pagedelete https://api.gusto-demo.com/v1/employees/{employee_id}/i9_authorization/documents/{document_id}An employee's I-9 verification documents are the documents an employee has provided the employer to verify their identity and authorization to work in the United States. This endpoint deletes a specific verification document. Related guides I-9 employment verification scope: i9_authorizations:managePath Paramsemployee_idstringrequiredThe UUID of the employeedocument_idstringrequiredThe UUID of the documentHeadersX-Gusto-API-VersionstringenumDefaults to 2026-02-01Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.2026-02-01Allowed:2026-02-01Responses 204No Content 404Not Found The requested resource does not exist. Make sure the provided UUID is valid. 422Unprocessable Entity This may happen when the body of your request contains errors such as invalid_attribute_value, or the request fails due to an invalid_operation. See the Errors Categories guide for more details.Updated 6 days ago